### Function

# FwupdPlugin sum32w_bytes

since: 1.8.2

#### Declaration [src]

    guint32
    fu_sum32w_bytes (
      GBytes* blob,
      FuEndianType endian
    )

#### Description [src]

Returns the arithmetic sum of all bytes in `blob`, adding them one dword at a time. The caller must ensure that the size of `blob` is a multiple of 4.

Available since: 1.8.2

#### Parameters

`blob`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

`endian`

  Type: `FuEndianType`

  An endian type, e.g. `G_LITTLE_ENDIAN`.

#### Return value

Type: `guint32`

Sum value.